using Autofac;
using e_suite.API.Common.repository;
using e_suite.DependencyInjection;
using e_suite.Service.Mail.Facade;
using e_suite.Service.Mail.repository;
using eSuite.Core.MailService;

namespace e_suite.Service.Mail;

public class IocRegistration : IIocRegistration
{
    public void RegisterTypes(ContainerBuilder builder)
    {
        builder.RegisterType<MailService>().As<IMailService>().InstancePerLifetimeScope();
        builder.RegisterType<MailServiceRepository>().As<IMailServiceRepository>().InstancePerLifetimeScope();
        builder.RegisterType<SmtpClientFactory>().As<ISmtpClientFactory>().InstancePerLifetimeScope();
    }
}